# -*- encoding: utf-8 -*-
# stub: pragma_studio_game 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "pragma_studio_game".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Kamila Matla-Tomczyk".freeze]
  s.date = "2018-12-01"
  s.description = "Studio Game is a simple text-based, fully random game.\n\nTo install the gem, run `gem install pragma_studio_game-1.0.0.gem`.\n\nTo play, run `studio_game` and choose the number of rounds. The players will be loaded from the `bin/players.csv` file.\nIf you want to load your own players, pass the path as an argument to the `studio_game. \nPlayers should be provided with their names and health value, comma separated.\n\nAt the end of the game, high scores will be sorted and written to the `high_scores.txt` file.\n\nTo quit any time, type in `quit` or `exit`.\n\nTo uninstall the gem, run `gem uninstall studio_game`.".freeze
  s.email = "ka1130@o2.pl".freeze
  s.executables = ["studio_game".freeze]
  s.files = ["bin/studio_game".freeze]
  s.homepage = "http://kamilamatla.com".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "A fun, and entirely random, text-based game".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, [">= 2.8.0", "~> 2.8"])
  else
    s.add_dependency(%q<rspec>.freeze, [">= 2.8.0", "~> 2.8"])
  end
end
